PLATFORM = os.target()

ARCH = "x86_64"

workspace "pwdin"
    configurations { "Debug", "Release" }

project "pwdin"
    kind "StaticLib"
    language "C"
    targetdir "bin/%{cfg.buildcfg}"
    location "build/"

    buildoptions({ "-Wall", "-Wextra" })

    files {"pwdin.h", "pwdin.c"}
    
    filter "configurations:Debug"
        defines {"DEBUG"}
        symbols "On"

    filter "configurations:Release"
        defines {"NDEBUG"}
        optimize "On"

    filter {}

